Subject: Re: bug#56050: [PATCH] home: services: environment-variables: Fix XDG base directories.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Jul 2022 22:18:00 +0200

Philip McGrath <[email-masked]> skribis:

> The default values from the XDG base directory specification make little
> sense for Guix System, and some scripts in Guix assume that they are not
> "empty or unset": for example, see <https://issues.guix.gnu.org/56050>.
> On foreign distros, however, omitting the default values is likely to
> break software from the distro, perhaps even preventing the desktop
> environment from starting. To smooth over the difference, use the
> system-wide configuration to ensure the environment variables are always
> explicitly set on foreign distros.
>
> * etc/guix-install.sh (sys_create_init_profile): Explicitly initialize
> XDG base directory variables.

[...]

> If "$HOME/.guix-home/profile" exists, use it for GUIX_PROFILE instead of
> "$HOME/.guix-profile".
>
> * etc/guix-install.sh (sys_create_init_profile): Check for 'guix home'
> profile.

Applied now, thanks, and sorry again for displaying my ignorance!  :-)

Ludo’.